### A free/open-source library for quantitative finance

Public Member Functions
CoxIngersollRoss::Dynamics Class Reference

Dynamics of the short-rate under the Cox-Ingersoll-Ross model More...

`#include <ql/models/shortrate/onefactormodels/coxingersollross.hpp>`

Inheritance diagram for CoxIngersollRoss::Dynamics:
[legend]

List of all members.

## Public Member Functions

| Dynamics (Real theta, Real k, Real sigma, Real x0)
virtual Real | variable (Time, Rate r) const
| Compute state variable from short rate.
virtual Real | shortRate (Time, Real y) const
| Compute short rate from state variable.

## Detailed Description

Dynamics of the short-rate under the Cox-Ingersoll-Ross model

The state variable will here be the square-root of the short-rate. It satisfies the following stochastic equation

.